<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 07/24/2004 *
 * ===================                          Last change: 11/24/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_holiday.php                          *
 * -------------------------------------------------------------------- *
 * Short description : Configuration                                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Einstellungen                                    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2016 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (isFormSent('save_config')) {
	// Save settings
	adminSaveSettingsFromPostData();
} else {
	// Prepare constants for the template
	$content['holiday_lock'] = createConfigurationTimeSelections('holiday_lock', 'WDh');

	// Init all entries
	foreach (array('holiday_mode_direct','holiday_mode_reset') as $entry) {
		$content[$entry] = '';
	} // END - foreach

	// Set all entries
	$content = merge_array($content, getCheckedConfig(array('holiday_mode')));

	// Load form template
	loadTemplate('admin_config_holiday', FALSE, $content);
}

// [EOF]
?>
