<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 11/04/2009 *
 * ===================                          Last change: 11/04/2009 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : network_de.php                                   *
 * -------------------------------------------------------------------- *
 * Short description : German langugage support                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Deutsche Sprachunterstuetzung                    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2016 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Language definitions
addMessages(array(
	// Admin messages (should be all...)
	'ADMIN_NETWORK_DATA_MISSING' => "Sie haben noch keine Werbenetzwerke eingerichtet. Bitte richten Sie erst welche ein und fahren Sie dann hier fort. Sie sollten dies im Allgemeinen nicht selber machen.",
	// - Error messages
	'ADMIN_NETWORK_NOT_ACTIVE' => "Das ausgew&auml;hlte Netzwerk ist nicht aktiviert. Dies kann z.B. den Grund haben, dass die Webeseite nicht reagiert oder ein anderer Inhalt (Blog, geparkte Domain usw.) dort zu finden ist.",
	'ADMIN_NETWORK_DO_404' => "Es wurde der Parameter &#39;do&#39; nicht &uuml;bermittelt.",
	'ADMIN_NETWORK_NOT_ACTIVE' => "Das ausgew&auml;hle Netzwerk ist nicht als aktiv markiert. Meistens steht dazu ein Hinweis <a href=\"http://forum.mxchange.org/topic-471.html\" rel=\"external\" target=\"_blank\">im Forum</a>.",
	'ADMIN_NETWORK_FORM_NOT_SENT' => "Es wurde kein bekanntes Formular versendet.",
	'ADMIN_NETWORK_NOTHING_FOUND' => "Es wurden keine Daten zum Editieren oder L&ouml;schen gefunden.",
	'ADMIN_NETWORK_NOTHING_CHANGED' => "Es wurden keine &Auml;nderungen an den allgemeinen Daten ausgef&uuml;hrt.",
	'ADMIN_NETWORK_NOTHING_REMOVED' => "Es wurden keine allgemeinen Daten gel&ouml;scht.",
	'ADMIN_NETWORK_ALREADY_ADDED' => "Ein Werbenetzwerk mit dem Kurznamen <span class=\"data\">%s</span> existiert bereits.",
	'ADMIN_NETWORK_DATA_NOT_ADDED' => "Das Werbenetzwerk mit dem Kurznamen <span class=\"data\">%s</span> wurde nicht hinzugef&uuml;gt.",
	'ADMIN_NETWORK_TYPE_HANDLER_NOTHING_CHANGED' => "Es wurden keine &Auml;nderungen an den Werbeart-Handlern ausgef&uuml;hrt.",
	'ADMIN_NETWORK_TYPE_HANDLER_NOTHING_REMOVED' => "Es wurden keine Werbeart-Handler gel&ouml;scht.",
	'ADMIN_NETWORK_TYPE_HANDLER_404' => "Es wurden keine Werbearten-Handler zum Werbenetzwerk <span class=\"data\">%s</span> gefunden.",
	'ADMIN_NETWORK_TYPE_HANDLER_ALREADY_ADDED' => "Ein Werbeart-Handler <span class=\"data\">%s</span> existiert bereits.",
	'ADMIN_NETWORK_TYPE_HANDLER_NOT_ADDED' => "Der Werbeart-Handler <span class=\"data\">%s</span> wurde nicht hinzugef&uuml;gt.",
	'ADMIN_NETWORK_TYPE_HANDLER_NOTHING_FOUND' => "Es wurden keine Werbart-Handler zum Editieren oder L&ouml;schen gefunden.",
	'ADMIN_NETWORK_REQUEST_PARAMETER_ALREADY_ADDED' => "Ein Abfrageparameter <span class=\"data\">%s</span> existiert bereits.",
	'ADMIN_NETWORK_REQUEST_PARAMETER_404' => "Es wurden keine Abfrageparameter zum Werbenetzwerk <span class=\"data\">%s</span> gefunden.",
	'ADMIN_NETWORK_REQUEST_PARAMETER_NOT_ADDED' => "Der Abfrageparameter <span class=\"data\">%s</span> wurde nicht hinzugef&uuml;gt.",
	'ADMIN_NETWORK_REQUEST_PARAMETER_NOTHING_CHANGED' => "Es wurden keine &Auml;nderungen an den Abfrageparametern ausgef&uuml;hrt.",
	'ADMIN_NETWORK_REQUEST_PARAMETER_NOTHING_REMOVED' => "Es wurden keine Abfrageparameter gel&ouml;scht.",
	'ADMIN_NETWORK_ARRAY_TRANSLATION_404' => "Es wurden keine &Uuml;bersetzungen zum Antwort-Array zum Werbenetzwerk <span class=\"data\">%s</span> gefunden.",
	'ADMIN_NETWORK_ARRAY_TRANSLATION_NOT_ADDED' => "Die Array-Element-&Uuml;bersetzung <span class=\"data\">%s</span> wurde nicht hinzugef&uuml;gt.",
	'ADMIN_NETWORK_ARRAY_TRANSLATION_ALREADY_ADDED' => "Eine Array-Element-&Uuml;bersetzung <span class=\"data\">%s</span> existiert bereits.",
	'ADMIN_NETWORK_ARRAY_TRANSLATION_NOTHING_CHANGED' => "Es wurden keine &Auml;nderungen an den Array-Element-&Uuml;bersetzungen vorgenommen.",
	'ADMIN_NETWORK_ARRAY_TRANSLATION_NOTHING_REMOVED' => "Es wurden keine Array-Element-&Uuml;bersetzungen gel&ouml;scht.",
	'ADMIN_NETWORK_HANDLER_TYPE_HANDLER_ALREADY_CONFIGURED' => "Kann Daten des ausgew&auml;hlten Werbeart-Handlers nicht hinzuf&uuml;gen, da bereits Daten vorhanden sind. Haben Sie das Formular ein zweites Mal versendet?",
	// - Form titles
	'ADMIN_ADD_NETWORK_TITLE' => "Neues Werbenetzwerk hinzuf&uuml;gen - Allgemeine Daten",
	'ADMIN_EDIT_NETWORK_DATA_TITLE' => "Werbenetzwerk editieren - Allgemeine Daten",
	'ADMIN_DELETE_NETWORK_DATA_TITLE' => "Werbenetzwerk l&ouml;schen - Allgemeine Daten",
	'ADMIN_SELECT_NETWORK_TITLE' => "Bitte w&auml;hlen Sie ein Werbenetzwerk aus:",
	'ADMIN_SELECT_CONFIGURED_NETWORK_TITLE' => "Bitte w&auml;hlen Sie ein bereits konfiguriertes Werbenetzwerk aus:",
	'ADMIN_SELECT_UNCONFIGURED_NETWORK_TITLE' => "Bitte w&auml;hlen Sie ein nicht konfiguriertes Werbenetzwerk aus:",
	'ADMIN_SELECT_NETWORK_HANDLER_TYPE_TITLE' => "Bitte w&auml;hlen Sie einen Werbeart-Handler aus:",
	'ADMIN_ADD_NETWORK_HANDLER_TYPE_TITLE' => "Werbenetzwerk verwalten - Neuen Werbeart-Handler hinzuf&uuml;gen",
	'ADMIN_LIST_NETWORK_TYPE_HANDLER_TITLE' => "Werbeart-Handler auflisten und verwalten",
	'ADMIN_EDIT_NETWORK_HANDLER_TYPES_TITLE' => "Werbeart-Handler editieren",
	'ADMIN_DELETE_NETWORK_TYPE_HANDLER_TITLE' => "Werbeart-Handle l&ouml;schen",
	'ADMIN_ADD_NETWORK_REQUEST_PARAMETER_TITLE' => "Werbenetzwerk verwalten - Neuen Abfrageparameter hinzuf&uuml;gen",
	'ADMIN_LIST_NETWORK_REQUEST_PARAMETER_TITLE' => "Abfrageparameter auflisten und verwalten",
	'ADMIN_EDIT_NETWORK_REQUEST_PARAMETER_TITLE' => "Abfrageparameter editieren",
	'ADMIN_DELETE_NETWORK_REQUEST_PARAMETER_TITLE' => "Abfrageparameter l&ouml;schen",
	'ADMIN_ADD_NETWORK_ARRAY_TRANSLATION_TITLE' => "Werbenetzwerk verwalten - Neue Array-Element-&Uuml;bersetzung hinzuf&uuml;gen",
	'ADMIN_LIST_NETWORK_ARRAY_TRANSLATION_TITLE' => "Array-Element-&Uuml;bersetzungen auflisten und verwalten",
	'ADMIN_EDIT_NETWORK_ARRAY_TRANSLATION_TITLE' => "Array-Element-&Uuml;bersetzungen editeren",
	'ADMIN_DELETE_NETWORK_ARRAY_TRANSLATION_TITLE' => "Array-Element-&Uuml;bersetzungen l&ouml;schen",
	'ADMIN_ADD_CONFIG_NETWORK_HANDLER_TYPE_TITLE' => "Werbeart-Handler einrichten - <span class=\"data\">{OPEN_TEMPLATE}pipe,,translateNetworkTypeHandler=%s{CLOSE_TEMPLATE}</span>",
	'ADMIN_SHOW_CONFIG_NETWORK_HANDLER_TYPE_TITLE' => "Eingerichteter Werbeart-Handler - <span class=\"data\">{OPEN_TEMPLATE}pipe,,translateNetworkTypeHandler=%s{CLOSE_TEMPLATE}</span>",
	'ADMIN_CONFIG_NETWORK_HANDLER_TYPES_TITLE' => "Werbeart-Handler einrichten",
	'ADMIN_EDIT_CONFIG_NETWORK_HANDLER_TYPE_TITLE' => "Werbeart-Handler &auml;ndern - <span class=\"data\">{OPEN_TEMPLATE}pipe,,translateNetworkTypeHandler=%s{CLOSE_TEMPLATE}</span>",
	// - Link titles
	'ADMIN_NETWORK_API_CONFIG_LINK_TITLE' => "Weiter zur API-Konfiguration",
	'ADMIN_NETWORK_TYPE_HANDLER_CONFIG_LINK_TITLE' => "Weiter zur Werbart-Handler-Konfiguration",
	'ADMIN_LIST_NETWORK_HANDLER_TYPES_LINK_TITLE' => "Weiter zu den Werbearten",
	'ADMIN_LIST_NETWORK_REQUEST_PARAMS_LINK_TITLE' => "Weiter zu den Abfrageparametern",
	'ADMIN_LIST_NETWORK_ARRAY_TRANSLATION_LINK_TITLE' => "Weiter zu den &Uuml;bersetzungen im Antwort-Array",
	'ADMIN_LIST_NETWORK_ERROR_CODES_LINK_TITLE' => "Weiter zu den Fehlercodes",
	// - Buttons
	'ADMIN_ADD_NETWORK_SUBMIT' => "Allgemeine Daten anlegen",
	'ADMIN_CHANGE_NETWORK_SUBMIT' => "Daten &auml;ndern",
	'ADMIN_REMOVE_NETWORK_SUBMIT' => "Daten entfernen",
	'ADMIN_CHOOSE_NETWORK_SUBMIT' => "Werbenetzwerk ausw&auml;hlen",
	'ADMIN_CHOOSE_NETWORK_HANDLER_TYPE_SUBMIT' => "Werbeart-Handler ausw&auml;hlen",
	'ADMIN_ADD_NETWORK_HANDLER_TYPE_SUBMIT' => "Werbeart-Handler hinzuf&uuml;gen",
	'ADMIN_CHANGE_NETWORK_HANDLER_TYPE_SUBMIT' => "Handler &auml;ndern",
	'ADMIN_REMOVE_NETWORK_HANDLER_TYPE_SUBMIT' => "Handler entfernen",
	'ADMIN_ADD_NETWORK_REQUEST_PARAMETER_SUBMIT' => "Abfrageparameter hinzuf&uuml;gen",
	'ADMIN_CHANGE_NETWORK_REQUEST_PARAMETER_SUBMIT' => "Abfrageparameter &auml;ndern",
	'ADMIN_REMOVE_NETWORK_REQUEST_PARAMETER_SUBMIT' => "Abfrageparameter entfernen",
	'ADMIN_ADD_NETWORK_ARRAY_TRANSLATION_SUBMIT' => "Array-Element-&Uuml;bersetzung hinzuf&uuml;gen",
	'ADMIN_CHANGE_NETWORK_ARRAY_TRANSLATION_SUBMIT' => "Array-Element-&Uuml;bersetzung(en) &auml;ndern",
	'ADMIN_REMOVE_NETWORK_ARRAY_TRANSLATION_SUBMIT' => "Array-Element-&Uuml;bersetzung(en) entfernen",
	'ADMIN_ADD_CONFIG_NETWORK_HANDLER_TYPE_SUBMIT' => "Jetzt den Werbeart-Handler einrichten",
	'ADMIN_ADD_CONFIG_NETWORK_HANDLER_TYPE_FORM_SUBMIT' => "Werbeart-Handlerdaten hinzuf&uuml;gen",
	'ADMIN_EDIT_CONFIG_NETWORK_HANDLER_TYPE_SUBMIT' => "Konfiguration f&uuml;r {OPEN_TEMPLATE}pipe,,translateNetworkTypeHandler=%s{CLOSE_TEMPLATE} &auml;ndern",
	'ADMIN_EDIT_CONFIG_NETWORK_HANDLER_TYPE_FORM_SUBMIT' => "Werbeart-Handler &auml;ndern",
	// - Success titles
	'ADMIN_NETWORK_ADDED_TITLE' => "Allgemeine Werbenetzwerkdaten hinzugef&uuml;gt",
	'ADMIN_NETWORK_TYPE_HANDLER_ADDED_TITLE' => "Werbeart-Handler hinzugef&uuml;gt",
	'ADMIN_NETWORK_REQUEST_PARAM_ADDED_TITLE' => "Abfrageparameter hinzugef&uuml;gt",
	'ADMIN_NETWORK_ARRAY_TRANSLATION_ADDED_TITLE' => "Array-Element-&Uuml;bersetzung hinzugef&uuml;gt",
	// - Success nots
	'ADMIN_NETWORK_UPDATED' => "Es wurden <span class=\"data\">%s</span> Eintr&auml;ge in den allgemeinen Daten aktualisiert.",
	'ADMIN_NETWORK_REMOVED' => "Es wurden <span class=\"data\">%s</span> Eintr&auml;ge aus den allgemeinen Daten gel&ouml;scht.",
	'ADMIN_NETWORK_TYPE_HANDLER_UPDATED' => "Es wurden <span class=\"data\">%s</span> Werbeart-Handler aktualisiert.",
	'ADMIN_NETWORK_REQUEST_PARAMETER_UPDATED' => "Es wurden <span class=\"data\">%s</span> Abfrageparameter aktualisiert.",
	'ADMIN_NETWORK_ARRAY_TRANSLATION_UPDATED' => "Es wurden <span class=\"data\">%s</span> Array-Element-&Uuml;bersetzung(en) aktualisiert.",
	'ADMIN_NETWORK_TYPE_HANDLER_REMOVED' => "Es wurden <span class=\"data\">%s</span> Werbeart-Handler gel&ouml;scht.",
	'ADMIN_NETWORK_REQUEST_PARAMETER_REMOVED' => "Es wurden <span class=\"data\">%s</span> Abfrageparameter gel&ouml;scht.",
	'ADMIN_NETWORK_ARRAY_TRANSLATION_REMOVED' => "Es wurden <span class=\"data\">%s</span> Array-Element-&Uuml;bersetzung(en) gel&ouml;scht.",
	// - Form notes
	'ADMIN_SELECT_CONFIGURED_NETWORK_NOTICE' => "<strong>Hinweise:</strong> Diese Liste zeigt nur Werbenetzwerke an, bei denen Sie bereits die API-Zugangsdaten eingestellt haben.",
	'ADMIN_SELECT_UNCONFIGURED_NETWORK_NOTICE' => "<strong>Hinweise:</strong> Diese Liste zeigt nur Werbenetzwerke an, bei denen Sie noch <u>nicht</u> die API-Zugangsdaten eingestellt haben.",
	'ADMIN_ADD_NETWORK_NOTICE' => "<strong>Hinweise:</strong> Besserer Datenschutz bei POST-Abfragen bedeutet, dass die von den Internetanbietern betriebenen Caches (Proxy) die POST-Daten nicht mitloggen (so eine Art Kodex). Der Zeichensatz ist meistens ISO-8859-1 oder WINDOWS-1252.",
	'ADMIN_LIST_NETWORK_NOTICE' => "<strong>Hinweise:</strong> Seien Sie mit dem L&ouml;schen und Editieren vonallgemeinen Daten der Werbenetzwerke sehr vorsichtig. Sie sollten hierzu R&uuml;cksprache <a href=\"http://forum.mxchange.org/forum-43.html\" target=\"_blank\" title=\"Direktlink zum Forum\">im Forum</a> halten.",
	'ADMIN_LIST_NETWORK_REFERRAL_LINK_NOTICE' => "<strong>Hinweise:</strong> Wenn Sie Ihren Referral-Link eingeben, verwenden Sie bitte nicht dieses Formular, sondern das unter [<a href=\"{OPEN_TEMPLATE}url=modules.php?module=admin&amp;what=config_network_api{CLOSE_TEMPLATE}\">API-Zugangsdaten</a>]. Sollten Sie hier Ihren Referral-Link eingetragen haben, ist dies nicht weiter schlimm, er wird jedoch nicht ver&ouml;ffentlicht.",
	'ADMIN_ADD_NETWORK_HANDLER_TYPE_NOTICE' => "<strong>Hinweise:</strong> F&uuml;gen Sie hier weitere Werbearten-Handler dem ausgw&auml;hlten Werbenetzwerk hinzu. Die Klick- und Banner-URL k&ouml;nnen optional sein und m&uuml;ssen dabei Platzhalter enthalten, die Sie der Dokumentation und <a href=\"http://forum.mxchange.org/forum-43.html\" rel=\"external\" title=\"Direkt-Link zur Forumkategorie Werbenetzwerke\" target=\"_blank\">dem Forum</a> entnehmen k&ouml;nnen. Ist seitens des Werbenetzwerkes keine Klick- bzw. Banner-URL angegeben (z.B. weil die URLs in der API-Antwort stehen), so lassen Sie die Felder einfach leer. Die API-URL muss nur bis zum Fragezeichen eingegeben werden. Richtig: <strong>http://www.some-sponsor.example/inteface/script.php</strong>, falsch: <strike>http://www.some-sponsor.example/inteface/script.php?uid=123&amp;pw=xyzxyzxyz</strike>",
	'ADMIN_LIST_NETWORK_TYPE_HANDLER_NOTICE' => "<strong>Hinweise:</strong> Seien Sie mit dem L&ouml;schen und Editieren von Werbeart-Handlern sehr vorsichtig. Sie sollten hierzu R&uuml;cksprache <a href=\"http://forum.mxchange.org/forum-43.html\" target=\"_blank\" title=\"Direktlink zum Forum\">im Forum</a> halten. Dokumentation zu den Platzhaltern (&#37;FOO&#37;, &#37;BAR&#37; usw.) finden Sie in der Dokumentation <strong>DOCs/de/network/README.txt</strong>.",
	'ADMIN_ADD_NETWORK_REQUEST_PARAMETER_NOTICE' => "<strong>Hinweise:</strong> F&uuml;gen Sie hier weitere Abfrageparameter dem ausgw&auml;hlten Werbenetzwerk hinzu. Geben Sie keine Werte an, wie z.B. 5 Sekunden oder 30 Mails, geben Sie bei Abfrageparameter den GET- bzw. POST-Parameternamen an.",
	'ADMIN_LIST_NETWORK_REQUEST_PARAMETER_NOTICE' => "<strong>Hinweise:</strong> Seien Sie mit dem L&ouml;schen und Editieren von Abfrageparameter sehr vorsichtig. Sie sollten hierzu R&uuml;cksprache <a href=\"http://forum.mxchange.org/forum-43.html\" target=\"_blank\" title=\"Direktlink zum Forum\">im Forum</a> halten. Dokumentation zu den Abfragenamen (&#37;FOO&#37;, &#37;BAR&#37; usw.) finden Sie in der Dokumentation <strong>DOCs/de/network/README.txt</strong>.",
	'ADMIN_ADD_NETWORK_ARRAY_TRANSLATION_NOTICE' => "<strong>Hinweise:</strong> F&uuml;gen Sie hier weitere Array-Element-&Uuml;bersetzungen zu dem ausgew&auml;hlten Netzwerk und Werbeart-Handler ein.",
	'ADMIN_LIST_NETWORK_ARRAY_TRANSLATION_NOTICE' => "<strong>Hinweise:</strong> Seien Sie mit dem Editieren bzw. L&ouml;schen von Array-Elementen sehr vorsichtig, die API-Abfrage k&ouml;ntte unerwartete Ergebnisse bzw. Fehler zur&uuml;ckliefern.",
	'ADMIN_NETWORK_REQUIRE_ID_CARD_NOTICE' => "<strong>Hinweise:</strong> Unter <strong>{--ADMIN_NETWORK_REQUIRE_ID_CARD--}</strong> ist das durch den Webnetzwerkbetreiber Verlangen einer Kopie des Personalausweises bzw. Gewerbescheins zu verstehen. Mehr dazu erfahen Sie <a href=\"http://forum.mxchange.org/topic-499.html\" rel=\"external\" target=\"_blank\">im Forum</a>.",
	'ADMIN_CONFIG_NETWORK_API_NOTICE' => "<strong>Hinweise:</strong> Geben Sie unter <strong>{--ADMIN_CONFIG_NETWORK_API_ENTER_REFERRAL_BUTTON--}</strong> einen Button im Format 88x31 ein. Sollte das Werbenetzwerk keinen anbieten, lassen Sie dieses Feld einfach leer. Andere Formate als 88x31 werden auf 88x31 geschrumpft dargestellt. Bitte geben Sie nur die URLs und <strong>keinen</strong> HTML-Code ein.",
	'ADMIN_CONFIG_NETWORK_HANDLER_TYPES_NOTICE' => "<strong>Hinweise:</strong> F&uuml;r jede Werbeart sind unterschiedliche Reloadsperren, Mindestauffenthalte und mehr einstellbar. Damit ist es m&ouml;glich, dass Sie z.B. f&uuml;r Forced-Banner eine k&uuml;rzere/l&auml;ngere Reloadsperre eingeben k&ouml;nnen als f&uuml;r Paidmails.",
	'ADMIN_ADD_CONFIG_NETWORK_HANDLER_TYPE_FORM_NOTICE' => "<strong>Hinweise:</strong>Bitte beachten Sie, dass Sie nicht f&uuml;r jedes Werbenetzwerk jede Einstellung etwas einstellen m&uuml;ssen. Dies h&auml;ngt vom jeweiligen Werbenetzwerk ab. Bitte beachten Sie auch, dass es sich beim Feld <strong>{--ADMIN_CONFIG_NETWORK_HANDLER_TYPE_ALLOW_EROTIC--}</strong> um ein frei eingebares Feld handelt. Den genauen Wert entnehmen Sie bitte derzeit aus Ihrem Affiliate-Bereich, da dieser nicht bei allen Werbenetzwerken einheitlich ist. Sollte das Werbenetzwerk Ihnen einen Wert nicht angeben, so lassen Sie das entsprechende Feld einfach leer. Stellen Sie unter <strong>{--ADMIN_CONFIG_NETWORK_HANDLER_TYPE_MAX_RELOAD_TIME_UNMASKED--}</strong> nur Werte ein, die auch vom Werbenetzwerk unterst&uuml;tzt werden. Die meisten werden zwar Stunden anbieten, es sollen aber auch Werbenetzwerke mit anderen Reloadsperreinheiten als Stunden unsterst&uuml;tzt werden. Sp&auml;ter bei der API-Abfrage wird der eingestellte Wert auf die angezeigte Zeiteinheit umgerechnet und gek&uuml;rzt. Die Einstellung <strong>{--ADMIN_CONFIG_NETWORK_HANDLER_TYPE_MEDIA_SIZE--}</strong> muss nur f&uuml;r Surfbar-Handler gestetzt werden, da dieser nicht zwischen den einzelnen Formatgr&ouml;&szlig;en weiter unterscheidet.",
	'ADMIN_EDIT_CONFIG_NETWORK_HANDLER_TYPE_FORM_NOTICE' => "<strong>Hinweise:</strong> {--ADMIN_ADD_CONFIG_NETWORK_HANDLER_TYPE_FORM_NOTICE--}",
	// - Other messages
	'ADMIN_NETWORK_REQUEST_PARAMETER_LIST_LIMITED_TO_TYPE' => "Es werden nur die Abfrageparameter des ausgew&auml;hlten Werbeart-Handlers angezeigt.",
	'ADMIN_LIST_NETWORK_ARRAY_TRANSLATION_LIMITED_TO_TYPE' => "Es werden nur die Array-Element-&Uuml;bersetzungen des ausgew&auml;hlten Werbeart-Handlers angezeigt.",
	// - Task extension
	'ADMIN_TASK_LIST_NETWORK_HEADER_LOG' => "HTTP-Header von API-Abfragen",
	'ADMIN_TASK_LIST_NETWORK_HEADER_LOG_TITLE' => "Es wurden HTTP-Header bei Abfragen von Werbenetzwerk-APIs gefunden.",
	'ADMIN_TASK_LIST_NETWORK_API_CACHE' => "Netzwerk API-Cache",
	'ADMIN_TASK_LIST_NETWORK_API_CACHE_TITLE' => "Es wurden Cache-Eintr&auml;ge von API-Abfragen aus Werbenetzwerken gefunden.",
	// - Advertise types
	'ADMIN_NETWORK_TYPE_HANDLER_BANNER' => "Banner Klick/View",
	'ADMIN_NETWORK_TYPE_HANDLER_BANNER_CLICK' => "Banner Klick",
	'ADMIN_NETWORK_TYPE_HANDLER_BANNER_VIEW' => "Banner View",
	'ADMIN_NETWORK_TYPE_HANDLER_BUTTON' => "Button Klick/View",
	'ADMIN_NETWORK_TYPE_HANDLER_BUTTON_CLICK' => "Button Klick",
	'ADMIN_NETWORK_TYPE_HANDLER_BUTTON_VIEW' => "Button View",
	'ADMIN_NETWORK_TYPE_HANDLER_SURFBAR' => "Surfbar Klick/View", // This is a software surfbar outside the browser window (mostly Windows-only)
	'ADMIN_NETWORK_TYPE_HANDLER_SURFBAR_CLICK' => "Surfbar Klick",
	'ADMIN_NETWORK_TYPE_HANDLER_SURFBAR_VIEW' => "Surfbar View",
	'ADMIN_NETWORK_TYPE_HANDLER_FORCED_BANNER' => "Forced-Banner",
	'ADMIN_NETWORK_TYPE_HANDLER_FORCED_BUTTON' => "Forced-Button",
	'ADMIN_NETWORK_TYPE_HANDLER_FORCED_HALF_BANNER' => "Forced-Half-Banner",
	'ADMIN_NETWORK_TYPE_HANDLER_FORCED_SKYSCRAPER' => "Forced-Skyscraper",
	'ADMIN_NETWORK_TYPE_HANDLER_FORCED_TEXTLINK' => "Forced-Textlink",
	'ADMIN_NETWORK_TYPE_HANDLER_TEXTLINK' => "Textlink Klick/View",
	'ADMIN_NETWORK_TYPE_HANDLER_TEXTLINK_CLICK' => "Textlink Klick",
	'ADMIN_NETWORK_TYPE_HANDLER_TEXTLINK_VIEW' => "Textlink View",
	'ADMIN_NETWORK_TYPE_HANDLER_SKYSCRAPER' => "Skyscraper Klick/View",
	'ADMIN_NETWORK_TYPE_HANDLER_SKYSCRAPER_CLICK' => "Skyscraper Klick",
	'ADMIN_NETWORK_TYPE_HANDLER_SKYSCRAPER_VIEW' => "Skyscraper View",
	'ADMIN_NETWORK_TYPE_HANDLER_HALF_BANNER' => "Half-Banner Klick/View",
	'ADMIN_NETWORK_TYPE_HANDLER_HALF_BANNER_CLICK' => "Half-Banner Klick",
	'ADMIN_NETWORK_TYPE_HANDLER_HALF_BANNER_VIEW' => "Half-Banner View",
	'ADMIN_NETWORK_TYPE_HANDLER_LAYER' => "Layer Klick/View",
	'ADMIN_NETWORK_TYPE_HANDLER_LAYER_CLICK' => "Layer Klick",
	'ADMIN_NETWORK_TYPE_HANDLER_LAYER_VIEW' => "Layer View",
	'ADMIN_NETWORK_TYPE_HANDLER_POPUP' => "PopUp",
	'ADMIN_NETWORK_TYPE_HANDLER_POPDOWN' => "PopDown",
	'ADMIN_NETWORK_TYPE_HANDLER_TEXTMAIL' => "Textmail",
	'ADMIN_NETWORK_TYPE_HANDLER_HTMLMAIL' => "HTML-Mail",
	'ADMIN_NETWORK_TYPE_HANDLER_LEAD' => "Lead",
	'ADMIN_NETWORK_TYPE_HANDLER_SALE' => "Sale",
	'ADMIN_NETWORK_TYPE_HANDLER_LEAD_SALE' => "Lead/Sale",
	'ADMIN_NETWORK_TYPE_HANDLER_PAYPERACTIVE' => "PayPerAktiv",
	'ADMIN_NETWORK_TYPE_HANDLER_PAGEPEEL' => "Page-Peel Klick/View",
	'ADMIN_NETWORK_TYPE_HANDLER_PAGEPEEL_CLICK' => "Page-Peel Klick",
	'ADMIN_NETWORK_TYPE_HANDLER_PAGEPEEL_VIEW' => "Page-Peel View",
	'ADMIN_NETWORK_TYPE_HANDLER_TRAFFIC' => "Traffic", // These are visitor exchanges like ext-surfbar!
	'ADMIN_NETWORK_TYPE_HANDLER_SIGNATURE' => "Signatur Klick/View",
	'ADMIN_NETWORK_TYPE_HANDLER_SIGNATURE_CLICK' => "Signatur Klick",
	'ADMIN_NETWORK_TYPE_HANDLER_SIGNATURE_VIEW' => "Signatur View",
	// - Media output types
	'ADMIN_NETWORK_MEDIA_OUTPUT_UNKNOWN' => "---",
	'ADMIN_NETWORK_MEDIA_OUTPUT_NONE' => "Nicht verwendet",
	'ADMIN_NETWORK_MEDIA_OUTPUT_BANNER' => "Banner",
	'ADMIN_NETWORK_MEDIA_OUTPUT_HTML_EMAIL' => "HTML-eMail",
	'ADMIN_NETWORK_MEDIA_OUTPUT_LAYER' => "Layer",
	'ADMIN_NETWORK_MEDIA_OUTPUT_PAGEPEEL' => "PagePeel",
	'ADMIN_NETWORK_MEDIA_OUTPUT_POPUP' => "PopUp",
	'ADMIN_NETWORK_MEDIA_OUTPUT_POPDOWN' => "PopDown",
	'ADMIN_NETWORK_MEDIA_OUTPUT_TEXT_EMAIL' => "Text-eMail",
	'ADMIN_NETWORK_MEDIA_OUTPUT_TEXTLINK' => "Textlink",
	// - Sponsor networks
	'ADMIN_LIST_NEWORK_DATA_TITLE' => "Auflistung der Grunddaten aller Werbenetzwerke",
	'ADMIN_NETWORK_NONE_SUPPORTED' => "Es sind noch keine Werbenetzwerke eingerichtet.",
	'ADMIN_NETWORK_SHORT_NAME' => "Kurzname:",
	'ADMIN_NETWORK_TITLE' => "Linktitel:",
	'ADMIN_NETWORK_REFERRAL_LINK' => "Referral-Link:",
	'ADMIN_NETWORK_DATA_SEPARATOR' => "Trennsymbol f. Daten:",
	'ADMIN_NETWORK_ROW_SEPARATOR' => "Trennzeichen f. Zeilen:",
	'ADMIN_NETWORK_REQUEST_TYPE' => "HTTP-Abfragetyp:",
	'ADMIN_NETWORK_REQUEST_TYPE_GET' => "GET (meistens richtig)",
	'ADMIN_NETWORK_REQUEST_TYPE_POST' => "POST (besserer Datenschutz)",
	'ADMIN_NETWORK_CHARSET' => "Zeichensatz:",
	'ADMIN_NETWORK_REQUIRE_ID_CARD' => "Gewerbeanmeldung verlangt?",
	'ADMIN_NETWORK_REQUIRE_ID_CARD_SHORT' => "Gewerbeanm.?",
	'ADMIN_NETWORK_REQUIRE_ID_CARD_SELECT' => "Gewerbeanmeldung:",
	'ADMIN_NETWORK_SEPARATOR' => "Trennzeichen:",
	'ADMIN_NETWORK_DATA_SEPARATOR2' => "Daten:",
	'ADMIN_NETWORK_ROW_SEPARATOR2' => "Zeilen:",
	'ADMIN_NETWORK_QUERY_AMOUNT' => "Freie API-Abfragen t&auml;glich:",
	'ADMIN_NETWORK_QUERY_AMOUNT_SELECT' => "Freie Abfragen:",
	// - Advertise type
	'ADMIN_NETWORK_TYPE_HANDLER' => "Werbeart-Handler:",
	'ADMIN_NETWORK_TYPE_HANDLER_API_URL' => "API-URL der Werbeart:",
	'ADMIN_NETWORK_TYPE_HANDLER_CLICK_URL' => "Klick-URL der Werbeart:",
	'ADMIN_NETWORK_TYPE_HANDLER_BANNER_URL' => "Banner-URL der Werbeart:",
	'ADMIN_NETWORK_TYPE_HANDLER_RELOAD_TIME_UNIT' => "Zeiteinheit f&uuml;r Reloadsperre:",
	'ADMIN_NETWORK_TYPE_HANDLER_TEXT_ENCODING' => "Textcodierung:",
	// - Text encoders
	'ADMIN_NETWORK_TYPE_TEXT_ENCODING_NONE' => "Keine Kodierung",
	'ADMIN_NETWORK_TYPE_TEXT_ENCODING_BASE64' => "BASE64-Kodierung",
	// - API request parameter
	'ADMIN_SELECT_NETWORK_HANDLER_TYPE' => "Werbeart-Handler ausw&auml;hlen:",
	'ADMIN_NETWORK_REQUEST_PARAMETER_KEY' => "Abfrageparameter-Schl&uuml;ssel:",
	'ADMIN_NETWORK_REQUEST_PARAMETER_KEY_SHORT' => "Schl&uuml;ssel:",
	'ADMIN_NETWORK_REQUEST_PARAMETER_VALUE' => "Abfrageparameter:",
	'ADMIN_NETWORK_REQUEST_PARAMETER_DEFAULT' => "Ausgangswert:",
	// - API request parameter keys
	'ADMIN_NETWORK_REQUEST_PARAMETER_AFFILIATE_ID' => "Affiliate-/Publisher-Id",
	'ADMIN_NETWORK_REQUEST_PARAMETER_SITE_ID' => "Webseiten-Id",
	'ADMIN_NETWORK_REQUEST_PARAMETER_HASH' => "Webseiten-Hash",
	'ADMIN_NETWORK_REQUEST_PARAMETER_PASSWORD' => "Interface-Kennwort",
	'ADMIN_NETWORK_REQUEST_PARAMETER_RELOAD' => "Maximale Reloadzeit",
	'ADMIN_NETWORK_REQUEST_PARAMETER_MINIMUM_STAY' => "Mindestauffenthalt",
	'ADMIN_NETWORK_REQUEST_PARAMETER_MAXIMUM_STAY' => "Maximaler Auffenthalt",
	'ADMIN_NETWORK_REQUEST_PARAMETER_CURRENCY' => "W&auml;hrung",
	'ADMIN_NETWORK_REQUEST_PARAMETER_TYPE' => "Typ (z.B. click/view)",
	'ADMIN_NETWORK_REQUEST_PARAMETER_REMAIN_BUDGET' => "Mindestanzahl restliches Budget",
	'ADMIN_NETWORK_REQUEST_PARAMETER_REMAIN_CLICKS' => "Mindestanzahl restlicher Klicks",
	'ADMIN_NETWORK_REQUEST_PARAMETER_REWARD' => "Mindestverg&uuml;tung",
	'ADMIN_NETWORK_REQUEST_PARAMETER_SIZE' => "Werbemittelgr&ouml;sse",
	'ADMIN_NETWORK_REQUEST_PARAMETER_EROTIC' => "Erotik erlaubt",
	'ADMIN_NETWORK_REQUEST_PARAMETER_EXTRA' => "Extra-Parameter",
	'ADMIN_NETWORK_REQUEST_PARAMETER_COUNTRY' => "L&auml;ndercode",
	// - API array index translation
	'ADMIN_NETWORK_ARRAY_TRANSLATION_INDEX' => "Array-Index:",
	'ADMIN_SELECT_NETWORK_ARRAY_INDEX_TRANSLATION' => "Index-&Uuml;bersetzung ausw&auml;hlen:",
	'ADMIN_NETWORK_ARRAY_INDEX_TRANSLATION' => "Index-&Uuml;bersetzung:",
	'ADMIN_NETWORK_ARRAY_INDEX_SORTING' => "Index-Reihenfolge:",
	// Network API configuration
	'ADMIN_CONFIG_NETWORK_API_ENTER_AFFILIATE_ID' => "Ihre Affiliate oder User-Id:",
	'ADMIN_CONFIG_NETWORK_API_ENTER_API_PASSWORD' => "Ihr Interface-Kennwort:",
	'ADMIN_CONFIG_NETWORK_API_ENTER_SITE_ID' => "Webseiten-Id Ihres {?mt_word2?}:",
	'ADMIN_CONFIG_NETWORK_API_SELECT_API_ACTIVE' => "Soll dieses Interface abgefragt werden?",
	'ADMIN_CONFIG_NETWORK_API_ENTER_REFERRAL_LINK' => "Ihr Referral-Link:",
	'ADMIN_CONFIG_NETWORK_API_ENTER_REFERRAL_BUTTON' => "Optionaler 88x31 Werbebutton:",
	'ADMIN_CONFIG_NETWORK_API_REMAINING_REQUESTS' => "Noch verbleibene API-Abfragen:",
	'ADMIN_CONFIG_NETWORK_API_VISUAL_PAY_CHECK' => "Wert f&uuml;r Visual-Pay-Check (<strong>&amp;vc=x</strong>):",
	'ADMIN_CONFIG_NETWORK_API_TITLE' => "API-Zugangsdaten zum Werbenetzwerk <span class=\"data\">{OPEN_TEMPLATE}network,generateMetworkReferralLinkById=%s{CLOSE_TEMPLATE}</span>:",
	'ADMIN_CONFIG_NETWORK_API_SAVE_BUTTON' => "API-Konfiguration speichern",
	'ADMIN_CONFIG_NETWORK_API_SAVED' => "API-Konfiguration gespeichert.",
	'ADMIN_CONFIG_NETWORK_API_NOT_SAVED' => "API-Konfiguration NICHT gespeichert (keine &Auml;nderungen).",
	'ADMIN_NETWORK_API_NOT_CONFIGURED' => "Konfiguration fehlt",
	'ADMIN_NETWORK_API_CONFIGURED' => "Konfiguration vorhanden",
	'ADMIN_NETWORK_API_NOT_ACTIVE' => "Deaktiviert!",
	// Network types configuration
	'ADMIN_CONFIG_NETWORK_HANDLER_TYPES_404' => "Es wurden keine Daten zur Werbenetzwerk-Id <span class=\"data\">%s</span> gefunden. Bitte benachrichtigen Sie das Entwickler-Team.",
	'ADMIN_ADD_CONFIG_NETWORK_HANDLER_TYPE_404' => "Dieser Werbeart-Handler wurde noch nicht eingerichtet. {--ADMIN_ADD_CONFIG_NETWORK_HANDLER_TYPE_404_NOTICE--} Bitte richten Sie diesen als n&auml;chstes ein und f&uuml;hren Sie danach eine Testabfrage aus.",
	'ADMIN_ADD_CONFIG_NETWORK_HANDLER_TYPE_404_NOTICE' => "Damit das Script auch das Interface des Werbenetzwerks ansprechen kann, muss ein Werbeart-Handler eingerichtet werden.",
	'ADMIN_CONFIG_NETWORK_HANDLER_TYPE_MAX_RELOAD_TIME' => "Reloadsperre (<span class=\"data\">{OPEN_TEMPLATE}pipe,,translateTimeUnit=%s{CLOSE_TEMPLATE}</span>):",
	'ADMIN_CONFIG_NETWORK_HANDLER_TYPE_MAX_RELOAD_TIME_UNMASKED' => "Reloadsperre:",
	'ADMIN_CONFIG_NETWORK_HANDLER_TYPE_MIN_WAITING_TIME' => "Mindestauffenthalt:",
	'ADMIN_CONFIG_NETWORK_HANDLER_TYPE_MAX_WAITING_TIME' => "Maximaler Auffenthalt:",
	'ADMIN_CONFIG_NETWORK_HANDLER_TYPE_MIN_REMAIN_BUDGET' => "Mindestanzahl noch &uuml;briges Budget:",
	'ADMIN_CONFIG_NETWORK_HANDLER_TYPE_MIN_REMAIN_CLICKS' => "Mindestanzahl noch &uuml;brige Klicks:",
	'ADMIN_CONFIG_NETWORK_HANDLER_TYPE_MIN_PAYMENT' => "Mindestverg&uuml;tung (maximal f&uuml;nf Stellen hinterm Komma):",
	'ADMIN_CONFIG_NETWORK_HANDLER_TYPE_ALLOW_EROTIC' => "Wert f&uuml;r das Zulassen von Erotikkampagnen:",
	'ADMIN_CONFIG_NETWORK_HANDLER_TYPE_MEDIA_SIZE' => "Wert f&uuml;r Media-Gr&ouml;&szlig;e (z.B. 468x60, 88x31, all):",
	'ADMIN_CONFIG_NETWORK_HANDLER_TYPE_MEDIA_OUTPUT' => "Art der Werbeform (z.B. bei Lead/Sale):",
	'ADMIN_CONFIG_NETWORK_HANDLER_TYPE_HANDLER_SAVED' => "Werbeart-Handler wurde gespeichert und ist sofort g&uuml;ltig.",
	'ADMIN_CONFIG_NETWORK_HANDLER_TYPE_HANDLER_NOT_SAVED' => "Werbeart-Handler wurde(n) NICHT gespeichert.",
	'ADMIN_NETWORK_HANDLER_TYPE_HANDLER_NOT_CONFIGURED' => "Werart-Handler wurde noch nicht eingerichtet. Bitte verwenden Sie dazu das passende Formular.",
	'ADMIN_CONFIG_NETWORK_HANDLER_TYPE_HANDLER_NOT_CHANGED' => "Werbeart-Handler wurde(n) NICHT ge&auml;ndert.",
	'ADMIN_CONFIG_NETWORK_HANDLER_SET_ALL' => "Diese Einstellungen f&uuml;r alle Werbeart-Handler des ausgew&auml;hlten Werbenetzwerkes konfigurieren:",
	'ADMIN_CONFIG_NETWORK_HANDLER_SET_ALL_404' => "Es wurde beim &Uuml;bertragen der Einstellungen keine Werbeart-Handler gefunden.",
	'ADMIN_CONFIG_NETWORK_HANDLER_TYPE_ALL_HANDLER_SAVED' => "<strong>%s</strong> Werbeart-Handler wurden gespeichert.",
	// SQL export for all network tables
	'ADMIN_EXPORT_NETWORK_NOTICE' => "Verwenden Sie diesen SQL-Befehl nicht in phpMyAdmin oder anderen SQL-Clients, dieser SQL-Befehl ist zum Einf&uuml;gen in das Script <strong>ext-network.php</strong> konzipiert.",
	'ADMIN_EXPORT_ALL_NETWORK_DATA_LINK' => "Gesamte Tabelle <strong>network_data</strong> zum Einf&uuml;gen in ext-network.php exportieren",
	'ADMIN_EXPORT_NETWORK_DATA_TITLE' => "Tabellenexport - Netzwerkgrunddaten",
	'ADMIN_EXPORT_NETWORK_HANDLER_TYPES_LINK' => "Werbeart-Handler des aktuell angezeigten Werbenetzwerkes exportieren",
	'ADMIN_EXPORT_NETWORK_HANDLER_TYPES_TITLE' => "Tabellenexport - Werbeart-Handlerdaten",
	'ADMIN_EXPORT_NETWORK_REQUEST_PARAMS_LINK' => "Abfrageparameter des aktuell angezeigten Werbenetzwerkes exportieren",
	'ADMIN_EXPORT_NETWORK_REQUEST_PARAMS_TITLE' => "Tabellenexport - Abfrage-Parameter",
	'ADMIN_EXPORT_NETWORK_ARRAY_TRANSLATION_LINK' => "Antwort-Array-Elemente des aktuell angezeigten Werbenetzwerkes exportieren",
	'ADMIN_EXPORT_NETWORK_ARRAY_TRANSLATION_TITLE' => "Tabellenexport - Arrayfeld&uuml;bersetzungen",
	// Querying APIs - error message
	'ADMIN_NETWORK_QUERY_API_404' => "Sie haben noch keine Werbenetzwerke eingerichtet bzw. es wurden noch keine Werbeart-Handler von Ihnen eingerichtet. Bitte richten Sie nun mindestens ein Werbenetzwerk und mindestens ein Werbeart-Handler ein.",
	// Querying APIs - submit buttons
	'ADMIN_ACTION_QUERY_NETWORK_SUBMIT' => "Alle APIs des Werbenetzwerks abfragen",
	'ADMIN_ACTION_QUERY_NETWORK_TYPE_SUBMIT' => "Werbart-Handler abfragen",
	// Querying APIs - others
	'ADMIN_QUERY_NETWORK_APIS_TITLE' => "APIs vom Werbenetzwerk <span class=\"data\">{OPEN_TEMPLATE}network,generateMetworkReferralLinkById=%s{CLOSE_TEMPLATE}</span> abfragen",
	'ADMIN_QUERY_NETWORK_TYPE' => "Einzelnen Werbeart-Handler abfragen",
	'ADMIN_ACTION_QUERY_ALL_NETWORK_APIS_SUBMIT' => "Alle ausgew&auml;hlten Werbeart-Handler abfragen",
	'ADMIN_NETWORK_QUERY_TYPE_OKAY' => "Das Werbenetzwerk <span class=\"data\">%s</span> wurde soeben abgefragt. Die Daten wurden zwischengespeichert f&uuml;r sp&auml;tere Verwendung und um die API-Anfragen zu reduzieren.",
	// List API cache
	'ADMIN_NETWORK_API_CACHE_404' => "Keinen API-Cache gefunden, da keine APIs abgefragt wurden.",
	// Error codes
	'ADMIN_NETWORK_AFF_ID_PASS_WRONG_ERROR_CODE' => "Affiliate-Id oder -Passwort falsch",
	'ADMIN_NETWORK_SITE_ID_NOT_ASSIGNED_ERROR_CODE' => "Seiten-Id nicht zugewiesen/ung&uuml;ltig",
	'ADMIN_NETWORK_SITE_ID_LOCKED_ERROR_CODE' => "Seiten-Id ist gesperrt (Webseite gesperrt)",
	'ADMIN_NETWORK_INTERFACE_DATA_ERROR_ERROR_CODE' => "Allgemeiner Fehler im Interface",
	'ADMIN_NETWORK_NO_CAMPAIGNS_FOUND_ERROR_CODE' => "Keine Kampagnen zu Suchkriterien gefunden",
	'ADMIN_NETWORK_NO_CAMPAIGNS_FOUND_INTERFACE_ERROR_CODE' => "Keine f. Interface freigegebene Kampagnen gefunden",
	'ADMIN_NETWORK_REQUESTS_DEPLETED_ERROR_CODE' => "API-Abfragen ersch&ouml;pft",
	'ADMIN_NETWORK_REQUEST_PARAMETER_INCOMPLETE_ERROR_CODE' => "API-Abfrageparameter nicht komplett",
	'ADMIN_NETWORK_SITE_ID_NOT_ALLOWED_TYPE_ERROR_CODE' => "Seiten-Id nicht freigegeben",
	// Textual represations of column translate_name
	'ADMIN_NETWORK_TRANSLATE_UNKNOWN_NAME' => "Unbekannt (<span class=\"data\">%s</span>)",
	'ADMIN_NETWORK_TRANSLATE_ALTERNATE_TEXT_NAME' => "Alternativer Bildtext",
	'ADMIN_NETWORK_TRANSLATE_BANNER_ID_NAME' => "Banner-Id",
	'ADMIN_NETWORK_TRANSLATE_TEXTLINK_ID_NAME' => "Textlink-Id",
	'ADMIN_NETWORK_TRANSLATE_SURFBAR_ID_NAME' => "Surfbar-Id",
	'ADMIN_NETWORK_TRANSLATE_MAIL_ID_NAME' => "Mail-Id",
	'ADMIN_NETWORK_TRANSLATE_LAYER_ID_NAME' => "Layer-Id",
	'ADMIN_NETWORK_TRANSLATE_POPUP_ID_NAME' => "PopUp-Id",
	'ADMIN_NETWORK_TRANSLATE_POPDOWN_ID_NAME' => "PopDown-Id",
	'ADMIN_NETWORK_TRANSLATE_LEAD_ID_NAME' => "Lead-Id",
	'ADMIN_NETWORK_TRANSLATE_SALE_ID_NAME' => "Sale-Id",
	'ADMIN_NETWORK_TRANSLATE_LEAD_SALE_ID_NAME' => "Lead/Sale-Id",
	'ADMIN_NETWORK_TRANSLATE_TRAFFIC_ID_NAME' => "Traffic-Id",
	'ADMIN_NETWORK_TRANSLATE_CAMPAIGN_ID_NAME' => "Kampagnen-Id",
	'ADMIN_NETWORK_TRANSLATE_MINIMUM_STAY_NAME' => "Mindestauffenthalt",
	'ADMIN_NETWORK_TRANSLATE_NAME_NAME' => "Kampagnen-Name",
	'ADMIN_NETWORK_TRANSLATE_RELOAD_NAME' => "Reloadzeit",
	'ADMIN_NETWORK_TRANSLATE_REMAIN_BUDGET_NAME' => "Mindestanzahl restliches Budget",
	'ADMIN_NETWORK_TRANSLATE_REMAIN_CLICKS_NAME' => "Mindestanzahl restlicher Klicks",
	'ADMIN_NETWORK_TRANSLATE_REWARD_NAME' => "Mindestverg&uuml;tung",
	'ADMIN_NETWORK_TRANSLATE_SIZE_NAME' => "Werbemittelformat",
	'ADMIN_NETWORK_TRANSLATE_TEXT_NAME' => "Werbetext",
	'ADMIN_NETWORK_TRANSLATE_BANNER_URL1_NAME' => "Werbebanner 1",
	'ADMIN_NETWORK_TRANSLATE_BANNER_URL2_NAME' => "Werbebanner 2",
	'ADMIN_NETWORK_TRANSLATE_BANNER_URL3_NAME' => "Werbebanner 3",
	'ADMIN_NETWORK_TRANSLATE_BANNER_URL4_NAME' => "Werbebanner 4",
	'ADMIN_NETWORK_TRANSLATE_BANNER_URL5_NAME' => "Werbebanner 5",
	'ADMIN_NETWORK_TRANSLATE_BANNER_URL6_NAME' => "Werbebanner 6",
	'ADMIN_NETWORK_TRANSLATE_BANNER_URL7_NAME' => "Werbebanner 7",
	'ADMIN_NETWORK_TRANSLATE_BANNER_URL8_NAME' => "Werbebanner 8",
	'ADMIN_NETWORK_TRANSLATE_BANNER_URL9_NAME' => "Werbebanner 9",
	'ADMIN_NETWORK_TRANSLATE_BANNER_URL10_NAME' => "Werbebanner 10",
	'ADMIN_NETWORK_TRANSLATE_TEXTLINK1_NAME' => "Textlink 1",
	'ADMIN_NETWORK_TRANSLATE_TEXTLINK2_NAME' => "Textlink 2",
	'ADMIN_NETWORK_TRANSLATE_TEXTLINK3_NAME' => "Textlink 3",
	'ADMIN_NETWORK_TRANSLATE_TEXTLINK4_NAME' => "Textlink 4",
	'ADMIN_NETWORK_TRANSLATE_TEXTLINK5_NAME' => "Textlink 5",
	'ADMIN_NETWORK_TRANSLATE_DESCRIPTION_NAME' => "Beschreibung",
	'ADMIN_NETWORK_TRANSLATE_COUNTRY_CODE_NAME' => "L&auml;ndercode",
	'ADMIN_NETWORK_TRANSLATE_SUBJECT_NAME' => "Betreffzeile",
	'ADMIN_NETWORK_TRANSLATE_CLICK_URL_NAME' => "Klick-URL",
	'ADMIN_NETWORK_TRANSLATE_MEDIA_URL_NAME' => "Media-URL",
	'ADMIN_NETWORK_TRANSLATE_ALLOWED_COUNTRIES_NAME' => "Erlaubte L&auml;nder",
	// Configuration
	'ADMIN_CONFIG_NETWORK_TITLE' => "Konfiguration: Werbenetzwerk",
	'ADMIN_CONFIG_NETWORK_CACHE_LEGEND' => "Einstellungen zum API-Cache:",
	'ADMIN_CONFIG_NETWORK_CACHE_REFRESH' => "Maximailer Zeitabstand nachdem der API-Cache erneuert werden muss:",
	'ADMIN_CONFIG_NETWORK_LOGGING_LEGEND' => "Einstellungen zum Header-Logging:",
	'ADMIN_CONFIG_NETWORK_LOGGING_PURGE' => "Zeitabstand nachdem die Logging-Tabelle bereinigt werden soll:",
	'ADMIN_CONFIG_NETWORK_LOGGING_DEBUG' => "Sollen zu Debugzwecken auch die Header von der API-Antwort geloggt werden, wo der HTTP-Status <em>200 OK</em> ist oder sollen nur fehlgeschlagene (z.B. 403, 404, 500 usw.) geloggt werden?",
	'ADMIN_CONFIG_NETWORK_LOGGING_DEBUG_ENABLED' => "Alle Header loggen (auch 200 OK)",
	'ADMIN_CONFIG_NETWORK_LOGGING_DEBUG_DISABLED' => "Nur fehlgeschlagene loggen",
	'ADMIN_CONFIG_NETWORK_NOTICE' => "<strong>Hinweise:</strong> Der tats&auml;chliche Zeitabstand zwischen automatischen API-Abfragen (per Cron) errechnet sich wie folgt: 24 Stunden in Sekunden geteilt durch Anzahl freie Abfragen pro Tag. Ist dabei der errechnete Wert gr&ouml;sser als wie der konfigurierte Zeitabstand (hier einstellbar), so wird dieser genommen und nicht der errechnete. Dabei kommt es dann vor, dass die freien Abfragen, die das Werbenetzwerk gibt, schneller abgelaufen sind, als der Tag um ist.",
	// Module titles
	'MODULE_NETWORK_DELURL_TITLE' => "Delete-URL API",
	'MODULE_NETWORK_VCHECK_TITLE' => "V-Check API",
));

/*
 * Internal error "handlers"
AFF_ID_PASS_WRONG
SITE_ID_NOT_ASSIGNED
SITE_ID_LOCKED
INTERFACE_DATA_ERROR
REQUESTS_DEPLETED
NO_CAMPAIGNS_FOUND
NO_CAMPAIGNS_FOUND_INTERFACE
SITE_ID_NOT_ALLOWED_TYPE
REQUEST_PARAMETER_INCOMPLETE
 */

// [EOF]
?>
